Package org.apache.catalina.tribes.membership.cloud

## Class TokenStreamProvider

- java.lang.Object
- - org.apache.catalina.tribes.membership.cloud.AbstractStreamProvider
  - - org.apache.catalina.tribes.membership.cloud.TokenStreamProvider

All Implemented Interfaces:
  `StreamProvider`

    public class TokenStreamProvider
    extends AbstractStreamProvider

### Field Summary

### Fields inherited from class org.apache.catalina.tribes.membership.cloud.AbstractStreamProvider

`INSECURE_TRUST_MANAGERS, sm`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SSLSocketFactory` `getSocketFactory()`
`InputStream` `openStream​(String url, Map<String,​String> headers, int connectTimeout, int readTimeout)` Open stream to the specified URL.

### Methods inherited from class org.apache.catalina.tribes.membership.cloud.AbstractStreamProvider

`configureCaCert, openConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSocketFactory

    protected SSLSocketFactory getSocketFactory()

Specified by:
  `getSocketFactory` in class `AbstractStreamProvider`
Returns:
  the socket factory, or null if not needed

#### openStream

    public InputStream openStream​(String url,
                                  Map<String,​String> headers,
                                  int connectTimeout,
                                  int readTimeout)
                           throws IOException

Description copied from interface: `StreamProvider`
Open stream to the specified URL.

Specified by:
  `openStream` in interface `StreamProvider`
Overrides:
  `openStream` in class `AbstractStreamProvider`
Parameters:
  `url` - the url
  `headers` - the headers map
  `connectTimeout` - connection timeout in ms
  `readTimeout` - read timeout in ms
Returns:
  the stream
Throws:
  `IOException` - when an error occurs